package com.tax.file.service.api;

import com.tax.file.model.FileToken;
import com.tax.file.model.FileTokenExample;
import com.tax.file.model.TkTaxUser;
import com.yxcheng.token.common.service.BaseServiceI;

import java.util.List;
import java.util.Map;

public interface FileTokenService extends BaseServiceI<FileTokenExample,FileToken> {

    public FileToken selectTokenInfoByTaxno(TkTaxUser taxUser);
    public List<FileToken> findWaitToken();
    public void updateToken(FileToken fileToken);
    public String getTokenCodeByUrl(TkTaxUser taxUser);
    public String getTokenCode(TkTaxUser taxUser);
    public void noticeGetNewToken(String uuidFlag, TkTaxUser taxUser);
    public boolean checkToken(String uuidFlag, TkTaxUser tkTaxUser, String token);
    List<Map<String, Object>> queryNotifyToken();

}